﻿<cfcomponent>
	<cffunction name="getComponent" access="public" output="false" returntype="query">
		<cfargument name="component_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetComponent">
                SELECT #arguments.fields# FROM ice_component  WHERE 0=0
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_component")>AND (ice_component LIKE '%#form.ice_component#%' OR description LIKE  '%#form.ice_component#%')</cfif>
<cfif isdefined("arguments.component_id") AND arguments.component_id IS NOT 0>AND id IN (#arguments.component_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id = #arguments.id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
ORDER BY id DESC
            </cfquery>
		<cfreturn GetComponent>
	</cffunction>

	<cffunction name="countComponent" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountComponent">
                SELECT #arguments.fields# FROM ice_component 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
            </cfquery>
<cfset countcomponent=CountComponent.Recordcount>
		<cfreturn CountComponent>
	</cffunction>

	<cffunction name="addComponent" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.ice_site_id=#session.current_site_id#>
<cfset form.created=now()>
<!-- Check Component Name --->
<cfquery name="CheckC" datasource="#application.db#">
SELECT id FROM ice_component WHERE component_file = '#replace(form.ice_component, " ", "_", "ALL")#.cfc'
</cfquery>
<!-- Check Component Name --->
<cfif CheckC.Recordcount IS 0>
<cftry>
<!--- Write to file --->

<CFFILE ACTION="write" OUTPUT="#form.code#" ADDNEWLINE="No" File="#application.ice_path#\sites\#session.current_site_folder#\components\#replace(form.ice_component, " ", "_", "ALL")#.cfc" charset="utf-8">
<!--- Set Filename --->
<cfset form.component_file='#replace(form.ice_component, " ", "_", "ALL")#.cfc'>

<!--- Write to file --->

<cfinsert tablename="ice_component" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,component_file,ice_site_id,created">

<cfcatch type="any"><cfset addcomponent=0><cfreturn addcomponent></cfcatch>
</cftry>	
<cfelse>
<cfset addcomponent=0><cfreturn addcomponent>
</cfif>
<cfset addcomponent=1>
		<cfreturn addcomponent>
	</cffunction>

	<cffunction name="updateComponent" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">

<!-- Check Component Name --->
<cfquery name="CheckC" datasource="#application.db#">
SELECT id FROM ice_component WHERE component_file = '#replace(form.ice_component, " ", "_", "ALL")#.cfc' AND id <> #form.id#
</cfquery>
<!-- Check Component Name --->
<cfif CheckC.Recordcount IS 0>
<cftry>
<!--- Write to file --->

<CFFILE ACTION="write" OUTPUT="#form.code#" ADDNEWLINE="No" File="#application.ice_path#\sites\#session.current_site_folder#\components\#form.component_file#" charset="utf-8">


<!--- Write to file --->

<cfupdate tablename="ice_component" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updatecomponent=0><cfreturn updatecomponent></cfcatch>
</cftry>	
<cfelse>
<cfset updatecomponent=0><cfreturn updatecomponent>
</cfif>
<cfset updatecomponent=1>
		<cfreturn updatecomponent>

	</cffunction>

	<cffunction name="deleteComponent" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF arguments.id IS NOT 1 AND Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>
<cfquery name="DeleteComponent" datasource="#application.db#">
DELETE FROM ice_component WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deletecomponent=0><cfreturn deletecomponent></cfcatch>
</cftry>	
<cfset deletecomponent=1>
<cfelse>
<cfset deletecomponent=0><cfreturn deletecomponent>
</cfif>
		<cfreturn deletecomponent>
	</cffunction>
</cfcomponent>