<cfcomponent>
	<cffunction name="getSiteMember" access="public" output="false" returntype="query">
		<cfargument name="site_member_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetSiteMember">
                SELECT #arguments.fields# FROM ice_site_member WHERE 0=0
<cfif isdefined("form.searchice_site_member") AND isdefined("form.ice_site_member")>AND (ice_site_member LIKE  '%#form.ice_site_member#%' OR first_name LIKE  '%#form.ice_site_member#%' OR last_name LIKE  '%#form.ice_site_member#%')</cfif>
<cfif  isdefined("form.searchice_site_member") AND isdefined("form.email") AND form.email IS NOT ''>AND email LIKE '%#form.email#%' </cfif>
<cfif  isdefined("form.searchice_site_member") AND isdefined("form.ice_site_member_id") AND form.ice_site_member_id IS NOT 0>AND ice_site_member_id=#form.ice_site_member_id#</cfif>
<cfif  isdefined("form.searchice_site_member") AND isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif  isdefined("form.searchice_site_member") AND isdefined("form.ice_site_language_id") AND form.ice_site_language_id IS NOT 0>AND ice_site_language_id=#form.ice_site_language_id#</cfif>
<cfif  isdefined("form.searchice_site_member") AND isdefined("form.ice_gender_id") AND form.ice_gender_id IS NOT 0>AND ice_gender_id=#form.ice_gender_id#</cfif>
<cfif  isdefined("form.searchice_site_member") AND isdefined("form.ice_country_id") AND form.ice_country_id IS NOT 0>AND ice_country_id=#form.ice_country_id#</cfif>
<cfif isdefined("arguments.site_member_id") AND arguments.site_member_id IS NOT 0>AND id IN (#arguments.site_member_id#)</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id = #arguments.id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND FIND_IN_SET(#arguments.site_id#,ice_site_id) <> 0</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetSiteMember>
	</cffunction>

	<cffunction name="countSiteMember" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountSiteMember">
                SELECT #arguments.fields# FROM ice_site_member 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.site_member_id") AND arguments.site_member_id IS NOT 0>AND ice_site_member_id=#arguments.site_member_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND FIND_IN_SET(#arguments.site_id#,ice_site_id)</cfif>
            </cfquery>
<cfset countsite_member=CountSiteMember.Recordcount>
		<cfreturn countsite_member>
	</cffunction>

	<cffunction name="getOtherSiteMember" access="public" output="false" returntype="query">
		<cfargument name="site_member_id" type="string" required="no" default="0">
		<cfargument name="not_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
            <cfquery datasource="#application.DB#" name="GetSiteMember">
                SELECT #arguments.fields# FROM ice_site_member WHERE 0=0
<cfif isdefined("arguments.site_member_id") AND arguments.site_member_id IS NOT 0>AND id IN (#arguments.site_member_id#)</cfif>
<cfif isdefined("arguments.not_id") AND arguments.not_id IS NOT 0>AND id <> #arguments.not_id#</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT  0>AND id = #arguments.id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id = #arguments.site_id#</cfif>
ORDER BY id ASC
            </cfquery>
		<cfreturn GetSiteMember>
	</cffunction>

	<cffunction name="addSiteMember" access="public" output="false" returntype="numeric">
		<cfargument name="site_member_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">

<cfset form.created=now()>
<cfset form.ice_site_id=session.current_site_id>
<cftry>
<CFIF form.photo IS NOT ''>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.photo" DESTINATION="#application.ice_path#\sites\#session.current_site_folder#\photos\" NAMECONFLICT="makeunique" ACCEPT="image/gif, image/jpeg, image/jpg,image/pjpeg,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.photo='#cffile.ServerFile#'>
</CFIF>
<cfinsert tablename="ice_site_member" datasource="#application.db#" formfields="#arguments.fields#,ice_site_id,created">

<cfcatch type="any"><cfset addsite_member=0><cfreturn addsite_member></cfcatch>
</cftry>
	
<cfset addsite_member=1>
		<cfreturn addsite_member>

	</cffunction>

	<cffunction name="updateSiteMember" access="public" output="false" returntype="numeric">
		<cfargument name="site_member_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
<CFIF form.photo IS NOT ''>
<!--- Upload File --->
<CFFILE ACTION="upload" FileFIELD="form.photo" DESTINATION="#application.ice_path#\sites\#session.current_site_folder#\photos\" NAMECONFLICT="makeunique" ACCEPT="image/gif, image/jpeg, image/jpg,image/pjpeg,application/octet-stream" attributes="normal">
<!--- Set Filename --->
<cfset form.photo='#cffile.ServerFile#'>
</CFIF>
<!---<cftry>--->
<cfupdate tablename="ice_site_member" datasource="#application.db#" formfields="#arguments.fields#,id">
<!---
<cfcatch type="any"><cfset updatesite_member=0><cfreturn updatesite_member></cfcatch>
</cftry>
--->
<cfset updatesite_member=1>
		<cfreturn updatesite_member>

	</cffunction>


	<cffunction name="deleteSiteMember" access="public" output="false" returntype="numeric">
		<cfargument name="site_member_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>

<cfquery name="DeleteSiteMember" datasource="#application.db#">
DELETE FROM ice_site_member WHERE id=#arguments.id#
</cfquery>

<cfcatch type="any"><cfset deletesite_member=0><cfreturn deletesite_member></cfcatch>
</cftry>	
<cfset deletesite_member=1>
<cfelse>
<cfset deletesite_member=0><cfreturn deletesite_member>
</cfif>
		<cfreturn deletesite_member>
	</cffunction>

	<cffunction name="resetSiteMember" access="public" output="false" returntype="numeric">
		<cfargument name="site_member_id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="0">
<cftry>
<cfquery name="ResetSiteMember" datasource="#application.db#">
UPDATE ice_site_member SET verified=0 WHERE id IN (#arguments.site_member_id#) <cfif arguments.site_id IS NOT 0>AND ice_site_id=#session.current_site_id#</cfif>
</cfquery>
<cfcatch type="any"><cfset resetsite_member=0><cfreturn resetsite_member></cfcatch>
</cftry>	
<cfset resetsite_member=1><cfreturn resetsite_member>

	</cffunction>

</cfcomponent>