﻿<cfcomponent>
	<cffunction name="getSubCampaign" access="public" output="false" returntype="query">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
            <cfquery datasource="#application.DB#" name="GetSubCampaign">
                SELECT #arguments.fields# FROM ice_sub_campaign  WHERE 0=0
<cfif isdefined("form.ice_status_id") AND form.ice_status_id IS NOT 0>AND ice_status_id=#form.ice_status_id#</cfif>
<cfif isdefined("form.ice_campaign_id") AND form.ice_campaign_id IS NOT 0>AND ice_campaign_id=#form.ice_campaign_id#</cfif>
<cfif isdefined("form.ice_campaign_type_id") AND form.ice_campaign_type_id IS NOT 0>AND ice_campaign_type_id=#form.ice_campaign_type_id#</cfif>
<cfif isdefined("form.ice_channel_id") AND form.ice_channel_id IS NOT 0>AND ice_channel_id=#form.ice_channel_id#</cfif>
<cfif isdefined("form.ice_sub_campaign") AND form.ice_sub_campaign IS NOT ''>AND (ice_sub_campaign LIKE '%#form.ice_sub_campaign#%' OR description LIKE '%#form.ice_sub_campaign#%')</cfif>
<cfif isdefined("arguments.id") AND arguments.id IS NOT 0>AND id IN (#arguments.id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
<cfif isdefined("arguments.campaign_id") AND arguments.campaign_id IS NOT  0>AND ice_campaign_id = #arguments.campaign_id#</cfif>
ORDER BY id DESC
            </cfquery>
		<cfreturn GetSubCampaign>
	</cffunction>

	<cffunction name="countSubCampaign" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
            <cfquery datasource="#application.DB#" name="CountSubCampaign">
                SELECT #arguments.fields# FROM ice_sub_campaign 
WHERE 0=0
<cfif isdefined("arguments.ice_status_id") AND arguments.ice_status_id IS NOT 0>AND ice_status_id=#arguments.ice_status_id#</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT 0>AND ice_user_id=#arguments.user_id#</cfif>
            </cfquery>
<cfset countlanguage=CountSubCampaign.Recordcount>
		<cfreturn countlanguage>
	</cffunction>

	<cffunction name="getSubCampaignCount" access="public" output="false" returntype="numeric">
		<cfargument name="sub_campaign_id" type="string" required="no" default="0">
		<cfargument name="what" type="string" required="no" default="clicks">
<cfif arguments.what IS 'visitors'>
            <cfquery datasource="#application.DB#" name="GetSubCount">
                SELECT DISTINCT IP FROM ice_campaign_stats WHERE 0=0 AND id=#arguments.sub_campaign_id# AND IP IS NOT NULL
            </cfquery>
<cfelse>
            <cfquery datasource="#application.DB#" name="GetSubCount">
                SELECT id FROM ice_campaign_stats WHERE 0=0 AND id=#arguments.sub_campaign_id# AND IP IS NOT NULL
            </cfquery>
</cfif>
		<cfset sub=GetSubcount.recordcount>
		<cfreturn sub>
	</cffunction>

	<cffunction name="addSubCampaign" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="user_id" type="string" required="no" default="0">
<cfset form.ice_site_id=#session.current_site_id#>
<cfset form.ice_user_id=#session.user_id#>
<cfset form.created=now()>
<cftry>
<cfinsert tablename="ice_sub_campaign" datasource="#application.db#" formfields="#arguments.fields#,ice_user_id,ice_site_id,created">

<cfcatch type="any"><cfset addlanguage=0><cfreturn addlanguage></cfcatch>
</cftry>	
<cfset addlanguage=1>
		<cfreturn addlanguage>
	</cffunction>

	<cffunction name="updateSubCampaign" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">

<cftry>

<cfupdate tablename="ice_sub_campaign" datasource="#application.db#" formfields="id,#arguments.fields#">
<cfcatch type="any"><cfset updatelanguage=0><cfreturn updatelanguage></cfcatch>
</cftry>	

<cfset updatelanguage=1>
		<cfreturn updatelanguage>

	</cffunction>

	<cffunction name="deleteSubCampaign" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="id" type="string" required="no" default="0">
<CFIF Isdefined("url.confirm") AND url.confirm IS 'yes'>
<cftry>
<cfquery name="DeleteSubCampaign" datasource="#application.db#">
DELETE FROM ice_sub_campaign WHERE id=#arguments.id#
</cfquery>
<cfcatch type="any"><cfset deletelanguage=0><cfreturn deletelanguage></cfcatch>
</cftry>	
<cfset deletelanguage=1>
<cfelse>
<cfset deletelanguage=0><cfreturn deletelanguage>
</cfif>
		<cfreturn deletelanguage>
	</cffunction>
</cfcomponent>