﻿	<cffunction name="getSettings" access="public" output="false" returntype="query">
		<cfargument name="id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetSettings">

                SELECT * FROM ice_settings 

<cfif isdefined("arguments.id")>WHERE id IN (#arguments.id#)</cfif>	
ORDER BY id ASC
            </cfquery>
		<cfreturn GetSettings>
	</cffunction>

	<cffunction name="addSettings" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="0">
<cftry>
<cfinsert tablename="ice_settings" datasource="#application.db#" formfields="#arguments.fields#">
<cfcatch type="any"><cfset addSettings=0><cfreturn addSettings></cfcatch>
</cftry>
<cfset addSettings=1>
		<cfreturn addSettings>
	</cffunction>

	<cffunction name="updateSettings" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="0">
<cftry>
<cfupdate tablename="ice_settings" datasource="#application.db#" formfields="#arguments.fields#">
<cfcatch type="any"><cfset updateSettings=0><cfreturn updateSettings></cfcatch>
</cftry>

<cfset updateSettings=1>
		<cfreturn updateSettings>
	</cffunction>