﻿<cfcomponent>


<cfset This.name = "ICE">
<cfset This.Sessionmanagement=true>

<cfquery name="getSettings" datasource="ice">
SELECT * FROM ice_settings WHERE id=1
</cfquery>
<CFIF getSettings.recordcount IS 1>
<cfset This.Sessiontimeout=createtimespan(0,0,#getSettings.session_timeout#,0)>
<cfset This.applicationtimeout="#createtimespan(0,0,0,0)#">
<CFELSE>
<cfset This.Sessiontimeout=createtimespan(0,0,30,0)>
<cfset This.applicationtimeout="#createtimespan(0,0,0,0)#">
</CFIF>

<cffunction name="OnApplicationStart">
<CFIF getSettings.recordcount IS 1>
<cfoutput query="getSettings">
        <cfset Application.Ice_Creator='#getSettings.ice_creator#'>
        <cfset Application.Ice_Title='#getSettings.ice_title#'>
        <cfset Application.Ice_Version='#getSettings.ice_version#'>
        <cfset Application.Ice_Path='#getSettings.ice_path#'>
        <cfset Application.Ice_URL='#getSettings.ice_url#'>	
        <cfset Application.DB='#getSettings.db#'>
        <cfset Application.Api_Folder='#getSettings.api_folder#'>
        <cfset Application.Container_Folder='#getSettings.container_folder#'>
        <cfset Application.Module_Folder='#getSettings.module_folder#'>
        <cfset Application.Plugin_Folder='#getSettings.plugin_folder#'>
         <cfset Application.Font_Face='#getSettings.font_face#f'>
         <cfset Application.Font_Size='#getSettings.font_size#'>
         <cfset Application.List_Size='#getSettings.list_size#'>
         <cfset Application.Default_Language='#getSettings.ice_language_id#'>
       <cfset Application.Email_Account='#getSettings.email_account#'>
        <cfset Application.Email_Password='#getSettings.email_password#'>		
        <cfset Application.Email_Server='#getSettings.email_server#'>
       <cfset Application.Bounce_Email_Account='#getSettings.bounce_email_account#'>
        <cfset Application.Bounce_Email_Password='#getSettings.bounce_email_password#'>		
        <cfset Application.Bounce_Email_Server='#getSettings.bounce_email_server#'>	
</cfoutput>
<CFELSE>
        <cfset Application.Ice_Creator='LINGXIA 273'>
        <cfset Application.Ice_Title='I.C.E.'>
        <cfset Application.Ice_Version='1.0'>
        <cfset Application.Ice_Path='D:\JRun4\servers\cfusion\cfusion-ear\cfusion-war\ICE'>
        <cfset Application.Ice_URL='http://localhost:8300/ICE'>	
        <cfset Application.DB='ice'>
        <cfset Application.Api_Folder='api'>
        <cfset Application.Container_Folder='containers'>
        <cfset Application.Module_Folder='modules'>
        <cfset Application.Plugin_Folder='plugins'>
         <cfset Application.Font_Face='Verdana, Arial, Helvetica, sans-serif'>
         <cfset Application.Font_Size='12'>
         <cfset Application.List_Size='10'>
         <cfset Application.Default_Language='en'>
       <cfset Application.Email_Account=''>
        <cfset Application.Email_Password=''>		
        <cfset Application.Email_Server=''>
       <cfset Application.Bounce_Email_Account=''>
        <cfset Application.Bounce_Email_Password=''>		
        <cfset Application.Bounce_Email_Server=''>
</CFIF>
<CFIF NOT IsDefined("session.language")>
            <CFSET session.language = '#Application.Default_Language#'>
</CFIF>   

</cffunction>


</cfcomponent>